package com.czg.exception;

import com.czg.resp.CzgRespCode;

import java.io.Serial;

/**
 * @author ww
 * @description
 */
public class OrderValidateException extends RuntimeException{
    @Serial
    private static final long serialVersionUID = 1L;

    private int code;
    private String msg;

    public OrderValidateException(String msg) {
        super(msg);
        this.code = CzgRespCode.FAILURE.getCode();
        this.msg = msg;
    }

    public OrderValidateException(String msg, Throwable e) {
        super(msg, e);
        this.code = CzgRespCode.FAILURE.getCode();
        this.msg = msg;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }
}
